Loading...
Searching...
No Matches
xccdf_fix Struct Reference
XCCDF

XCCDF automatic fix. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_fix * | xccdf_fix_new (void)
OSCAP_API struct xccdf_fix * | xccdf_fix_clone (const struct xccdf_fix *old_fix)
OSCAP_API void | xccdf_fix_free (struct xccdf_fix *item)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_fix_get_content (const struct xccdf_fix *fix)
OSCAP_API bool | xccdf_fix_get_reboot (const struct xccdf_fix *fix)
OSCAP_API xccdf_strategy_t | xccdf_fix_get_strategy (const struct xccdf_fix *fix)
OSCAP_API xccdf_level_t | xccdf_fix_get_complexity (const struct xccdf_fix *fix)
OSCAP_API xccdf_level_t | xccdf_fix_get_disruption (const struct xccdf_fix *fix)
OSCAP_API const char * | xccdf_fix_get_id (const struct xccdf_fix *fix)
OSCAP_API const char * | xccdf_fix_get_system (const struct xccdf_fix *fix)
OSCAP_API const char * | xccdf_fix_get_platform (const struct xccdf_fix *fix)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_fix_set_strategy (struct xccdf_fix *obj, xccdf_strategy_t newval)
OSCAP_API bool | xccdf_fix_set_disruption (struct xccdf_fix *obj, xccdf_level_t newval)
OSCAP_API bool | xccdf_fix_set_complexity (struct xccdf_fix *obj, xccdf_level_t newval)
OSCAP_API bool | xccdf_fix_set_reboot (struct xccdf_fix *obj, bool newval)
OSCAP_API bool | xccdf_fix_set_content (struct xccdf_fix *obj, const char *newval)
OSCAP_API bool | xccdf_fix_set_system (struct xccdf_fix *obj, const char *newval)
OSCAP_API bool | xccdf_fix_set_platform (struct xccdf_fix *obj, const char *newval)
OSCAP_API bool | xccdf_fix_set_id (struct xccdf_fix *obj, const char *newval)

## Data Fields

bool | reboot
xccdf_strategy_t | strategy
xccdf_level_t | disruption
xccdf_level_t | complexity
char * | id
char * | content
char * | system
char * | platform

## Detailed Description

XCCDF automatic fix.

See also
  xccdf_rule

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h